The file at http://www.ibiblio.org/maven2/activemq/activemq/3.2.2/activemq-3.2.2.pom is misformatted, since the dependency versions are still described by their property!
 
It's the same for the 3.2.1 version! I went back to the 3.2 version to get real version numbers, but I'm not sure it will get working then...
 
Rgds,
-Xavier